untrusted comment: verify with openbsd-63-base.pub
RWRxzbLwAd76ZcuX2dH3o2xSrq8dUq1UEMU/iyNTtRBLfRls9YaY+WijQmjSocAqkgYKrMWlv+119hN6K0mv/ek8tgo+HD4nSgQ=

OpenBSD 6.3 errata 019, September 21, 2018:

On AMD CPU, LDTR must be managed crossing between VMs.

Apply by doing:
    signify -Vep /etc/signify/openbsd-63-base.pub -x 019_ldtr.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install a new kernel:
    KK=`sysctl -n kern.osversion | cut -d# -f1`
    cd /usr/src/sys/arch/`machine`/compile/$KK
    make obj
    make config
    make
    make install

Index: sys/arch/amd64/amd64/vmm_support.S
===================================================================
RCS file: /cvs/src/sys/arch/amd64/amd64/vmm_support.S,v
--- sys/arch/amd64/amd64/vmm_support.S	22 Aug 2018 22:57:52 -0000	1.9.2.1
+++ sys/arch/amd64/amd64/vmm_support.S	19 Sep 2018 11:45:48 -0000	1.9.2.2
@@ -640,6 +640,8 @@ restore_host_svm:
 	movw	%ax, %es
 
 	xorq	%rax, %rax
+	lldtw	%ax		/* Host LDT is always 0 */
+
 	popw	%ax		/* ax = saved TR */
 
 	popq	%rdx
